# Thermogravimetric Analysis in Python

[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
[![Testing (CI)](https://github.com/mpecchi/tga_data_analysis/actions/workflows/continuous_integration.yaml/badge.svg)](https://github.com/mpecchi/tga_data_analysis/actions/workflows/continuous_integration.yaml)
## Overview
PyTGA is a Python module designed for conducting and analyzing Thermogravimetric Analysis (TGA) experiments. It offers tools for loading, processing, and analyzing TGA data, focusing on proximate and oxidation analysis, solid distillation analysis, and deconvolution analysis.

## Features
- **Data Loading**: Supports loading TGA data from files.
- **Proximate Analysis**: Calculates moisture, ash, and volatile matter.
- **Oxidation Analysis**: Computes Ti, Tp, Tb, etc.
- **Solid Distillation Analysis**: Analyzes solid distillation over time.
- **Deconvolution Analysis**: Deconvolutes TGA curves for peak analysis.
- **Plotting and Visualization**: Functions for TGA data visualization.


## Documentation

Check out the [documentation](https://tga-data-analysis.readthedocs.io/).

## Installation

You can install the package from [PyPI](https://pypi.org/project/tga_data_analysis/):

```bash
pip install tga_data_analysis
